<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Name: VZVZ Opvragen Contactmomenten
Description: Opvragen Contactmomenten 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000">
   <title>VZVZ Opvragen Contactmomenten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL" id="d106e23192-false-d383219e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']])&gt;=1">(opvragenContactmomenten): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']])&lt;=1">(opvragenContactmomenten): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: //hl7:PRPA_IN900300NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]"
         id="d383717e15-false-d383745e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&gt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: //hl7:PRPA_IN900300NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="d383717e17-false-d385117e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or not(@code) or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET een zijn van 'code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de element content van hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: //hl7:PRPA_IN900300NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d383717e25-false-d386317e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AttentionLineContextCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AttentionLineContextCode): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]"
         id="d106e23198-false-d387582e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opvragenContactmomenten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:code)&lt;=1">(opvragenContactmomenten): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(opvragenContactmomenten): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:overseer)&gt;=1">(opvragenContactmomenten): element hl7:overseer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:overseer)&lt;=1">(opvragenContactmomenten): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&gt;=1">(opvragenContactmomenten): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&lt;=1">(opvragenContactmomenten): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:code
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:code"
         id="d106e23202-false-d388692e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.1.18''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:effectiveTime
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:effectiveTime"
         id="d106e23210-false-d388840e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer"
         id="d388975e4-false-d388996e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)])&gt;=1">(ControlActOverseerPerson): element hl7:assignedEntity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)])&lt;=1">(ControlActOverseerPerson): element hl7:assignedEntity[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]"
         id="d388975e67-false-d389349e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code[not(@nullFlavor)])&gt;=1">(ControlActOverseerPerson): element hl7:code[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code[not(@nullFlavor)])&lt;=1">(ControlActOverseerPerson): element hl7:code[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList[not(@nullFlavor)])&gt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList[not(@nullFlavor)])&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization[not(@nullFlavor)])&gt;=1">(ControlActOverseerPerson): element hl7:Organization[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization[not(@nullFlavor)])&lt;=1">(ControlActOverseerPerson): element hl7:Organization[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="d388975e69-false-d389887e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.1')">(ControlActOverseerPerson): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:code[not(@nullFlavor)]
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:code[not(@nullFlavor)]"
         id="d388975e77-false-d389979e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPrincipalChoiceList[not(@nullFlavor)]
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPrincipalChoiceList[not(@nullFlavor)]"
         id="d388975e86-false-d390070e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)])&gt;=1">(ControlActOverseerPerson): element hl7:assignedPerson[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)])&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPrincipalChoiceList[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPrincipalChoiceList[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]"
         id="d388975e88-false-d390300e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(ControlActOverseerPerson): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(ControlActOverseerPerson): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPrincipalChoiceList[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPrincipalChoiceList[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]"
         id="d388975e93-false-d390435e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]"
         id="d388975e101-false-d390492e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(ControlActOverseerPerson): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&lt;=1">(ControlActOverseerPerson): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(ControlActOverseerPerson): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(ControlActOverseerPerson): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr[not(@nullFlavor)])&gt;=1">(ControlActOverseerPerson): element hl7:addr[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr[not(@nullFlavor)])&lt;=1">(ControlActOverseerPerson): element hl7:addr[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]"
         id="d388975e106-false-d391028e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]/hl7:code"
         id="d388975e115-false-d391080e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.1060''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]"
         id="d388975e123-false-d391231e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]/hl7:addr[not(@nullFlavor)]
Item: (ControlActOverseerPerson)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity[not(@nullFlavor)]/hl7:Organization[not(@nullFlavor)]/hl7:addr[not(@nullFlavor)]"
         id="d388975e129-false-d391282e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']"
         id="d106e23221-false-d391381e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&gt;=1">(opvragenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&lt;=1">(opvragenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)])&gt;=1">(opvragenContactmomenten): element hl7:queryId[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)])&lt;=1">(opvragenContactmomenten): element hl7:queryId[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'][not(@nullFlavor)])&gt;=1">(opvragenContactmomenten): element hl7:statusCode[@code='executing'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'][not(@nullFlavor)])&lt;=1">(opvragenContactmomenten): element hl7:statusCode[@code='executing'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'][not(@nullFlavor)])&gt;=1">(opvragenContactmomenten): element hl7:responseModalityCode[@code='R'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'][not(@nullFlavor)])&lt;=1">(opvragenContactmomenten): element hl7:responseModalityCode[@code='R'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'][not(@nullFlavor)])&gt;=1">(opvragenContactmomenten): element hl7:responsePriorityCode[@code='I'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'][not(@nullFlavor)])&lt;=1">(opvragenContactmomenten): element hl7:responsePriorityCode[@code='I'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)])&gt;=1">(opvragenContactmomenten): element hl7:executionAndDeliveryTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)])&lt;=1">(opvragenContactmomenten): element hl7:executionAndDeliveryTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:encounterTimeframe)&lt;=1">(opvragenContactmomenten): element hl7:encounterTimeframe komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:patientId[not(@nullFlavor)])&gt;=1">(opvragenContactmomenten): element hl7:patientId[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:patientId[not(@nullFlavor)])&lt;=1">(opvragenContactmomenten): element hl7:patientId[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:typeOfEncounter)&lt;=1">(opvragenContactmomenten): element hl7:typeOfEncounter komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']"
         id="d106e23223-false-d392553e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.9')">(opvragenContactmomenten): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.9' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:queryId[not(@nullFlavor)]
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:queryId[not(@nullFlavor)]"
         id="d106e23228-false-d392687e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:statusCode[@code='executing'][not(@nullFlavor)]
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:statusCode[@code='executing'][not(@nullFlavor)]"
         id="d106e23239-false-d392748e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responseModalityCode[@code='R'][not(@nullFlavor)]
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responseModalityCode[@code='R'][not(@nullFlavor)]"
         id="d106e23252-false-d392898e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'code 'R''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responsePriorityCode[@code='I'][not(@nullFlavor)]
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responsePriorityCode[@code='I'][not(@nullFlavor)]"
         id="d106e23265-false-d393230e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:executionAndDeliveryTime[not(@nullFlavor)]
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:executionAndDeliveryTime[not(@nullFlavor)]"
         id="d106e23279-false-d393328e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe"
         id="d106e23290-false-d393415e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value)&gt;=1">(opvragenContactmomenten): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value)&lt;=1">(opvragenContactmomenten): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value"
         id="d106e23322-false-d393513e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="$elmcount&gt;=1">(opvragenContactmomenten): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="$elmcount&lt;=2">(opvragenContactmomenten): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:low)&lt;=1">(opvragenContactmomenten): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:high)&lt;=1">(opvragenContactmomenten): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value/hl7:low
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value/hl7:low"
         id="d106e23340-false-d393862e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value/hl7:high
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value/hl7:high"
         id="d106e23342-false-d393916e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId[not(@nullFlavor)]
Item: (kezo-QRYpatientId)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId[not(@nullFlavor)]"
         id="d394036e15-false-d394063e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId[not(@nullFlavor)]/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (kezo-QRYpatientId)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId[not(@nullFlavor)]/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="d394036e20-false-d394177e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYpatientId): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(kezo-QRYpatientId): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="@extension">(kezo-QRYpatientId): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter"
         id="d106e23353-false-d394332e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(opvragenContactmomenten): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(opvragenContactmomenten): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: //hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (opvragenContactmomenten)
-->

   <rule context="//hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d106e23358-false-d395262e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(opvragenContactmomenten): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.103.11.3 NHG tabel 14v3 - ContactType (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(opvragenContactmomenten): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.103.11.3 NHG tabel 14v3 - ContactType (DYNAMISCH).</assert>
   </rule>
</pattern>
